/* Общий стиль для виджета (без изменений) */
#Max-widget {
    position: fixed;
    bottom: 20px;
    left: 20px;
    width: 60px;
    height: 60px;
    background-color: #0a55a3;
    border-radius: 14%;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    transition: width 0.3s ease, height 0.3s ease;
    overflow: hidden;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Анимация при наведении */
#Max-widget:hover {
    width: 200px;
    height: 236px;
}

/* Иконка Max */
#Max-widget img.Max-icon {
    width: 60px;
    height: 60px;
    transition: opacity 0.3s ease;
    position: absolute;
}

/* Прозрачность иконки при наведении */
#Max-widget:hover img.Max-icon {
    opacity: 0; /* Скрыть иконку */
}

/* QR-код */
#Max-widget img.qr-code {
    display: none;
    width: 200px;
    height: 240px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: opacity 0.3s ease;
}

/* Появление QR-кода при наведении */
#Max-widget:hover img.qr-code {
    display: block;
    opacity: 1;
}

@media (max-width: 768px) {
    .qr-code {
        display: none; /* Полностью скрываем QR-код */
    }
}